SchemeQuery
Keywords: uk.ac.ic.doc.automed.wrappers.SchemeQuery,SchemeQuery class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.wrappers
Class SchemeQuery

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.wrappers.SchemeQuery

public abstract class SchemeQuery
extends java.lang.Object

A generic representation of query expressions as trees, where each SchemeQuery has an operator type, and 0 or more fields that have a field type

Field Summary
`static int` | `FIELD_TYPE_INTEGER` A field that can hold an Integer constant
`static int` | `FIELD_TYPE_ONE_OR_MORE` Used when the previous field type may be repeated any number of times.
`static int` | `FIELD_TYPE_SCHEMEQUERY` A field that can hold a SchemeQuery
`static int` | `FIELD_TYPE_STRING` A field that can hold a String constant

Constructor Summary
`SchemeQuery()`

Method Summary
`java.lang.Object` | `getField(int fieldNumber)` Return a field from the query node.
`int` | `getOperator()` Return the operator type that this query node represents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIELD_TYPE_STRING

    public static final int FIELD_TYPE_STRING

  A field that can hold a String constant

  See Also:
    Constant Field Values

### FIELD_TYPE_INTEGER

    public static final int FIELD_TYPE_INTEGER

  A field that can hold an Integer constant

  See Also:
    Constant Field Values

### FIELD_TYPE_SCHEMEQUERY

    public static final int FIELD_TYPE_SCHEMEQUERY

  A field that can hold a SchemeQuery

  See Also:
    Constant Field Values

### FIELD_TYPE_ONE_OR_MORE

    public static final int FIELD_TYPE_ONE_OR_MORE

  Used when the previous field type may be repeated any number of times. This must always be the last field type in a node.

  See Also:
    Constant Field Values

Constructor Detail

### SchemeQuery

    public SchemeQuery()

Method Detail

### getOperator

    public int getOperator()

  Return the operator type that this query node represents.

### getField

    public java.lang.Object getField(int fieldNumber)

  Return a field from the query node.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD